using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Text;

namespace EnumFactories
{
   class Program
   {
      static void Main(string[] args)
      {
         DataTable tbl = DbProviderFactories.GetFactoryClasses();
         Console.WriteLine("Dostępne są następujące fabryki dostawców danych:");
         foreach (DataRow row in tbl.Rows)
         {
            Console.WriteLine("{0} ({1})", row["Name"], row["InvariantName"]);
         }
         Console.ReadLine();
      }
   }
}
